 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: CdiaConfig
  * Author:   
  * Date:     2021/3/30 9:38
  */
 package com.fr.plugin.cdia.config;

 import com.fr.config.*;
 import com.fr.config.holder.Conf;
 import com.fr.config.holder.factory.Holders;

 /**
  * <Function Description><br>
  * <CdiaConfig>
  *
  * @author 
  * @since 1.0.0
  */
 @Visualization(category = "Plugin-cdia_Group")
 public class CdiaConfig extends DefaultConfiguration {
     public static final String CREATE_PROCESS_DEFAULT = "http://xx:1000/api/v1/create/saveProcess";
     public static final String PROC_FORM_OP_INDEX_DEFAULT = "http://xx:9000/workflowService/api/v1/baseForm/findProcFormOpIndexUrl";
     public static final String PROC_NODE_DEFAULT = "http://xx:9000//odpsService/api/v1/formBase/findProcFormOpinion";
     public static final String ASSIGN_NMA_AUTH_URL = "http://xx:8001/rms/ws/autoAssignRoleAndDataAuthAndMdReportAuthService";
     private static volatile CdiaConfig config = null;
     @Identifier(value = "createProcessUrl", name = "Plugin-cdia_Config_CreateProcessUrl", description = "Plugin-cdia_Config_CreateProcessUrl_Description", status = Status.SHOW)
     private final Conf<String> createProcessUrl = Holders.simple(CREATE_PROCESS_DEFAULT);
     @Identifier(value = "procFormOpIndexUrl", name = "Plugin-cdia_Config_ProcFormOpIndexUrl", description = "Plugin-cdia_Config_ProcFormOpIndexUrl_Description", status = Status.SHOW)
     private final Conf<String> procFormOpIndexUrl = Holders.simple(PROC_FORM_OP_INDEX_DEFAULT);
     @Identifier(value = "procNodeUrl", name = "Plugin-cdia_Config_ProcNodeUrl", description = "Plugin-cdia_Config_ProcNodeUrl_Description", status = Status.SHOW)
     private final Conf<String> procNodeUrl = Holders.simple(PROC_NODE_DEFAULT);
     @Identifier(value = "assignNmaAuthUrl", name = "Plugin-cdia_Config_AssignNmaAuthUrl", description = "Plugin-cdia_Config_AssignNmaAuthUrl_Description", status = Status.SHOW)
     private final Conf<String> assignNmaAuthUrl = Holders.simple(ASSIGN_NMA_AUTH_URL);

     public static CdiaConfig getInstance() {
         if (config == null) {
             config = ConfigContext.getConfigInstance(CdiaConfig.class);
         }
         return config;
     }

     public String getCreateProcessUrl() {
         return createProcessUrl.get();
     }

     public void setCreateProcessUrl(String createProcessUrl) {
         this.createProcessUrl.set(createProcessUrl);
     }

     public String getProcFormOpIndexUrl() {
         return procFormOpIndexUrl.get();
     }

     public void setProcFormOpIndexUrl(String procFormOpIndexUrl) {
         this.procFormOpIndexUrl.set(procFormOpIndexUrl);
     }

     public String getProcNodeUrl() {
         return procNodeUrl.get();
     }

     public void setProcNodeUrl(String procNodeUrl) {
         this.procNodeUrl.set(procNodeUrl);
     }

     public String getAssignNmaAuthUrl() {
         return assignNmaAuthUrl.get();
     }

     public void setAssignNmaAuthUrl(String assignNmaAuthUrl) {
         this.assignNmaAuthUrl.set(assignNmaAuthUrl);
     }
 }