 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: ProcessAssignDao
  * Author:   
  * Date:     2020/9/3 21:41
  */
 package com.fr.plugin.cdia.dao;

 import com.fr.plugin.cdia.ProcessDBAccess;
 import com.fr.plugin.cdia.entity.ProcessAssignEntity;
 import com.fr.stable.db.action.DBAction;
 import com.fr.stable.db.dao.BaseDAO;
 import com.fr.stable.db.dao.DAOContext;
 import com.fr.stable.db.session.DAOSession;
 import com.fr.stable.query.QueryFactory;
 import com.fr.stable.query.restriction.RestrictionFactory;

 import java.util.List;

 /**
  * <Function Description><br>
  * <ProcessAssignDao>
  *
  * @author 
  * @since 1.0.0
  */
 public class ProcessAssignDao extends BaseDAO<ProcessAssignEntity> {
     public ProcessAssignDao(DAOSession daoSession) {
         super(daoSession);
     }

     /**
      * 通过流程单号查询流程Entity
      *
      * @param procInstId
      * @return
      * @throws Exception
      */
     public static List<ProcessAssignEntity> findEntityByProc(final String procInstId) throws Exception {
         return ProcessDBAccess.getAccessor().runQueryAction(new DBAction<List<ProcessAssignEntity>>() {
             @Override
             public List<ProcessAssignEntity> run(DAOContext daoContext) throws Exception {
                 return daoContext.getDAO(ProcessAssignDao.class).find(QueryFactory.create().addRestriction(RestrictionFactory.eq("procInstId", procInstId)));
             }
         });
     }

     protected Class<ProcessAssignEntity> getEntityClass() {
         return ProcessAssignEntity.class;
     }
 }