 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: ProcessAssignEntity
  * Author:   
  * Date:     2020/9/3 21:43
  */
 package com.fr.plugin.cdia.entity;

 import com.fr.general.ComparatorUtils;
 import com.fr.json.JSONObject;
 import com.fr.stable.StringUtils;
 import com.fr.stable.db.entity.BaseEntity;
 import com.fr.third.javax.persistence.Column;
 import com.fr.third.javax.persistence.Entity;
 import com.fr.third.javax.persistence.Table;

 /**
  * <Function Description><br>
  * <流程申请及审核意见ProcessAssignEntity>
  *
  * @author 
  * @since 1.0.0
  */
 @Entity
 @Table(name = "cmbc_process_assign")
 public class ProcessAssignEntity extends BaseEntity {

     public static final String DRAF_ID = "DRAF_ID";
     public static final String DRAF_NAME = "DRAF_NAME";
     public static final String DRAF_DEPT_ID = "DRAF_DEPT_ID";
     public static final String DRAF_DEPT_NAME = "DRAF_DEPT_NAME";
     public static final String DRAF_DATE = "DRAF_DATE";
     public static final String DRAF_TEL = "DRAF_TEL";
     public static final String DOC_TITLE = "DOC_TITLE";
     public static final String APP_ID = "APP_ID";
     public static final String APP_NUMBER = "APP_NUMBER";
     public static final String APP_NAME = "APP_NAME";
     public static final String APP_OPER_NAME = "APP_OPER_NAME";
     public static final String APP_OPER_ID = "APP_OPER_ID";
     public static final String APP_DEPT_NAME = "APP_DEPT_NAME";
     public static final String APP_TEL = "APP_TEL";
     public static final String APP_MAIL = "APP_MAIL";
     public static final String APP_TYPE = "APP_TYPE";
     public static final String BT_ROLE_NAME = "BT_ROLE_NAME";
     public static final String PURPOSE = "PURPOSE";
     public static final String YT_ROLE_NAME = "YT_ROLE_NAME";
     public static final String TC_ROLE_NAME = "TC_ROLE_NAME";
     public static final String PROC_INST_ID = "PROCINSTID";
     public static final String SEQUENCE_NO = "SEQUENCE_NO";
     public static final String LOAD_TIME = "LOAD_TIME";
     public static final String OP_FLAG = "OP_FLAG";
     public static final String PROC_END_FLAG = "PROC_END_FLAG";
     public static final String PROC_DELETE_FLAG = "PROC_DELETE_FLAG";
     public static final String YT_OP = "YT_OP";
     public static final String TC_OP = "TC_OP";
     public static final String OP_INDEX_URL = "OP_INDEX_URL";
     private static final long serialVersionUID = -3562843353984449028L;

     // 拟稿人用户ID
     @Column(name = "DRAF_ID")
     private String drafId = StringUtils.EMPTY;
     // 拟稿人姓名
     @Column(name = "DRAF_NAME")
     private String drafName = StringUtils.EMPTY;
     // 拟稿人部门ID
     @Column(name = "DRAF_DEPT_ID")
     private String drafDeptId = StringUtils.EMPTY;
     // 拟稿人部门名称
     @Column(name = "DRAF_DEPT_NAME")
     private String drafDeptName = StringUtils.EMPTY;
     // 拟稿日期
     @Column(name = "DRAF_DATE")
     private String drafDate = StringUtils.EMPTY;
     // 拟稿人电话
     @Column(name = "DRAF_TEL")
     private String drafTel = StringUtils.EMPTY;
     // 表单标题
     @Column(name = "DOC_TITLE")
     private String docTitle = StringUtils.EMPTY;
     // 申请人用户ID
     @Column(name = "APP_ID")
     private String appId = StringUtils.EMPTY;
     // 申请人员工号
     @Column(name = "APP_NUMBER")
     private String appNumber = StringUtils.EMPTY;
     // 申请人姓名
     @Column(name = "APP_NAME")
     private String appName = StringUtils.EMPTY;
     // 申请人所在机构
     @Column(name = "APP_OPER_NAME")
     private String appOperName = StringUtils.EMPTY;
     // 申请人所在机构ID
     @Column(name = "APP_OPER_ID")
     private String appOperId = StringUtils.EMPTY;
     // 申请人部门名称
     @Column(name = "APP_DEPT_NAME")
     private String appDeptName = StringUtils.EMPTY;
     // 申请人电话
     @Column(name = "APP_TEL")
     private String appTel = StringUtils.EMPTY;
     // 申请人邮箱
     @Column(name = "APP_MAIL")
     private String appMail = StringUtils.EMPTY;
     // 申请类型
     @Column(name = "APP_TYPE")
     private String appType = StringUtils.EMPTY;
     // 部门类别（价值云图数据权限(角色名称)）
     @Column(name = "BT_ROLE_NAME")
     private String btRoleName = StringUtils.EMPTY;
     // 用途
     @Column(name = "PURPOSE")
     private String purpose = StringUtils.EMPTY;
     // 价值云图数据权限(角色名称)
     @Column(name = "YT_ROLE_NAME")
     private String ytRoleName = StringUtils.EMPTY;
     // 头寸权限（角色名称）
     @Column(name = "TC_ROLE_NAME")
     private String tcRoleName = StringUtils.EMPTY;
     // OA流程编号
     @Column(name = "PROCINSTID")
     private String procInstId = StringUtils.EMPTY;
     // 流水号
     @Column(name = "SEQUENCE_NO")
     private String sequenceNo = StringUtils.EMPTY;
     // timestamp
     @Column(name = "LOAD_TIME")
     private String loadTime = StringUtils.EMPTY;
     // 管理员处理标识
     @Column(name = "OP_FLAG")
     private int opFlag;
     // OA流程结果标志
     @Column(name = "PROC_END_FLAG")
     private int procEndFlag;
     // OA流程删除标志
     @Column(name = "PROC_DELETE_FLAG")
     private int procDeleteFlag;
     // 价值云图审批意见
     @Column(name = "YT_OP")
     private String ytOp = StringUtils.EMPTY;
     // 头寸审批意见
     @Column(name = "TC_OP")
     private String tcOp = StringUtils.EMPTY;
     // 流程url
     @Column(name = OP_INDEX_URL)
     private String opIndexUrl = StringUtils.EMPTY;

     public ProcessAssignEntity() {
     }

     public void setEntity(String key, String value) {
         if (ComparatorUtils.equals(key, DRAF_ID)) {
             this.setDrafId(value);
         } else if (ComparatorUtils.equals(key, DRAF_NAME)) {
             this.setDrafName(value);
         } else if (ComparatorUtils.equals(key, DRAF_DEPT_ID)) {
             this.setDrafDeptId(value);
         } else if (ComparatorUtils.equals(key, DRAF_DEPT_NAME)) {
             this.setDrafDeptName(value);
         } else if (ComparatorUtils.equals(key, DRAF_DATE)) {
             this.setDrafDate(value);
         } else if (ComparatorUtils.equals(key, DRAF_TEL)) {
             this.setDrafTel(value);
         } else if (ComparatorUtils.equals(key, DOC_TITLE)) {
             this.setDocTitle(value);
         } else if (ComparatorUtils.equals(key, APP_ID)) {
             this.setAppId(value);
         } else if (ComparatorUtils.equals(key, APP_NUMBER)) {
             this.setAppNumber(value);
         } else if (ComparatorUtils.equals(key, APP_NAME)) {
             this.setAppName(value);
         } else if (ComparatorUtils.equals(key, APP_OPER_NAME)) {
             this.setAppOperName(value);
         } else if (ComparatorUtils.equals(key, APP_OPER_ID)) {
             this.setAppOperId(value);
         } else if (ComparatorUtils.equals(key, APP_DEPT_NAME)) {
             this.setAppDeptName(value);
         } else if (ComparatorUtils.equals(key, APP_TEL)) {
             this.setAppTel(value);
         } else if (ComparatorUtils.equals(key, APP_MAIL)) {
             this.setAppMail(value);
         } else if (ComparatorUtils.equals(key, APP_TYPE)) {
             this.setAppType(value);
         } else if (ComparatorUtils.equals(key, BT_ROLE_NAME)) {
             this.setBtRoleName(value);
         } else if (ComparatorUtils.equals(key, PURPOSE)) {
             this.setPurpose(value);
         } else if (ComparatorUtils.equals(key, YT_ROLE_NAME)) {
             this.setYtRoleName(value);
         } else if (ComparatorUtils.equals(key, TC_ROLE_NAME)) {
             this.setTcRoleName(value);
         } else if (ComparatorUtils.equals(key, PROC_INST_ID)) {
             this.setId(value);
             this.setProcInstId(value);
         } else if (ComparatorUtils.equals(key, SEQUENCE_NO)) {
             this.setSequenceNo(value);
         }
     }

     public JSONObject toJSON() {
         JSONObject json = JSONObject.create();
         json.put(DRAF_ID, this.getDrafId());
         json.put(DRAF_NAME, this.getDrafName());
         json.put(DRAF_DEPT_ID, this.getDrafDeptId());
         json.put(DRAF_DEPT_NAME, this.getDrafDeptName());
         json.put(DRAF_DATE, this.getDrafDate());
         json.put(DRAF_TEL, this.getDrafTel());
         json.put(DOC_TITLE, this.getDocTitle());
         json.put(PROC_INST_ID, this.getProcInstId());
         json.put(SEQUENCE_NO, this.getSequenceNo());
         return json;
     }

     public JSONObject detail2JSON() {
         JSONObject json = JSONObject.create();
         json.put(APP_ID, this.getAppId());
         json.put(APP_NUMBER, this.getAppNumber());
         json.put(APP_NAME, this.getAppName());
         json.put(APP_OPER_NAME, this.getAppOperName());
         json.put(APP_OPER_ID, this.getAppOperId());
         json.put(APP_DEPT_NAME, this.getAppDeptName());
         json.put(APP_TEL, this.getAppTel());
         json.put(APP_MAIL, this.getAppMail());
         json.put(APP_TYPE, this.getAppType());
         json.put(BT_ROLE_NAME, this.getBtRoleName());
         json.put(PURPOSE, this.getPurpose());
         json.put(YT_ROLE_NAME, this.getYtRoleName());
         json.put(TC_ROLE_NAME, this.getTcRoleName());
         return json;
     }

     public ProcessAssignEntity id(String id) {
         this.setId(id);
         return this;
     }

     public String getDrafId() {
         return drafId;
     }

     public void setDrafId(String drafId) {
         this.drafId = drafId;
     }

     public ProcessAssignEntity drafId(String drafId) {
         this.setDrafId(drafId);
         return this;
     }

     public String getDrafName() {
         return drafName;
     }

     public void setDrafName(String drafName) {
         this.drafName = drafName;
     }

     public ProcessAssignEntity drafName(String drafName) {
         this.setDrafName(drafName);
         return this;
     }

     public String getDrafDeptId() {
         return drafDeptId;
     }

     public void setDrafDeptId(String drafDeptId) {
         this.drafDeptId = drafDeptId;
     }

     public ProcessAssignEntity drafDeptId(String drafDeptId) {
         this.setDrafDeptId(drafDeptId);
         return this;
     }

     public String getDrafDeptName() {
         return drafDeptName;
     }

     public void setDrafDeptName(String drafDeptName) {
         this.drafDeptName = drafDeptName;
     }

     public ProcessAssignEntity drafDeptName(String drafDeptName) {
         this.setDrafDeptName(drafDeptName);
         return this;
     }

     public String getDrafDate() {
         return drafDate;
     }

     public void setDrafDate(String drafDate) {
         this.drafDate = drafDate;
     }

     public ProcessAssignEntity drafDate(String drafDate) {
         this.setDrafDate(drafDate);
         return this;
     }

     public String getDrafTel() {
         return drafTel;
     }

     public void setDrafTel(String drafTel) {
         this.drafTel = drafTel;
     }

     public ProcessAssignEntity drafTel(String drafTel) {
         this.setDrafTel(drafTel);
         return this;
     }

     public String getDocTitle() {
         return docTitle;
     }

     public void setDocTitle(String docTitle) {
         this.docTitle = docTitle;
     }

     public ProcessAssignEntity docTitle(String docTitle) {
         this.setDocTitle(docTitle);
         return this;
     }

     public String getAppId() {
         return appId;
     }

     public void setAppId(String appId) {
         this.appId = appId;
     }

     public ProcessAssignEntity appId(String appId) {
         this.setAppId(appId);
         return this;
     }

     public String getAppNumber() {
         return appNumber;
     }

     public void setAppNumber(String appNumber) {
         this.appNumber = appNumber;
     }

     public ProcessAssignEntity appNumber(String appNumber) {
         this.setAppNumber(appNumber);
         return this;
     }

     public String getAppName() {
         return appName;
     }

     public void setAppName(String appName) {
         this.appName = appName;
     }

     public ProcessAssignEntity appName(String appName) {
         this.setAppName(appName);
         return this;
     }

     public String getAppOperName() {
         return appOperName;
     }

     public void setAppOperName(String appOperName) {
         this.appOperName = appOperName;
     }

     public ProcessAssignEntity appOperName(String appOperName) {
         this.setAppOperName(appOperName);
         return this;
     }

     public String getAppOperId() {
         return appOperId;
     }

     public void setAppOperId(String appOperId) {
         this.appOperId = appOperId;
     }

     public ProcessAssignEntity appOperId(String appOperId) {
         this.setAppOperId(appOperId);
         return this;
     }

     public String getAppDeptName() {
         return appDeptName;
     }

     public void setAppDeptName(String appDeptName) {
         this.appDeptName = appDeptName;
     }

     public ProcessAssignEntity appDeptName(String appDeptName) {
         this.setAppDeptName(appDeptName);
         return this;
     }

     public String getAppTel() {
         return appTel;
     }

     public void setAppTel(String appTel) {
         this.appTel = appTel;
     }

     public ProcessAssignEntity appTel(String appTel) {
         this.setAppTel(appTel);
         return this;
     }

     public String getAppMail() {
         return appMail;
     }

     public void setAppMail(String appMail) {
         this.appMail = appMail;
     }

     public ProcessAssignEntity appMail(String appMail) {
         this.setAppMail(appMail);
         return this;
     }

     public String getAppType() {
         return appType;
     }

     public void setAppType(String appType) {
         this.appType = appType;
     }

     public ProcessAssignEntity appType(String appType) {
         this.setAppType(appType);
         return this;
     }

     public String getBtRoleName() {
         return btRoleName;
     }

     public void setBtRoleName(String btRoleName) {
         this.btRoleName = btRoleName;
     }

     public ProcessAssignEntity btRoleName(String btRoleName) {
         this.setBtRoleName(btRoleName);
         return this;
     }

     public String getPurpose() {
         return purpose;
     }

     public void setPurpose(String purpose) {
         this.purpose = purpose;
     }

     public ProcessAssignEntity purpose(String purpose) {
         this.setPurpose(purpose);
         return this;
     }

     public String getYtRoleName() {
         return ytRoleName;
     }

     public void setYtRoleName(String ytRoleName) {
         this.ytRoleName = ytRoleName;
     }

     public ProcessAssignEntity ytRoleName(String ytRoleName) {
         this.setYtRoleName(ytRoleName);
         return this;
     }

     public String getTcRoleName() {
         return tcRoleName;
     }

     public void setTcRoleName(String tcRoleName) {
         this.tcRoleName = tcRoleName;
     }

     public ProcessAssignEntity tcRoleName(String tcRoleName) {
         this.setTcRoleName(tcRoleName);
         return this;
     }

     public String getProcInstId() {
         return procInstId;
     }

     public void setProcInstId(String procInstId) {
         this.procInstId = procInstId;
     }

     public ProcessAssignEntity procInstId(String procInstId) {
         this.setProcInstId(procInstId);
         return this;
     }

     public String getSequenceNo() {
         return sequenceNo;
     }

     public void setSequenceNo(String sequenceNo) {
         this.sequenceNo = sequenceNo;
     }

     public ProcessAssignEntity sequenceNo(String sequenceNo) {
         this.setSequenceNo(sequenceNo);
         return this;
     }

     public String getLoadTime() {
         return loadTime;
     }

     public void setLoadTime(String loadTime) {
         this.loadTime = loadTime;
     }

     public ProcessAssignEntity loadTime(String loadTime) {
         this.setLoadTime(loadTime);
         return this;
     }

     public int getOpFlag() {
         return opFlag;
     }

     public void setOpFlag(int opFlag) {
         this.opFlag = opFlag;
     }

     public ProcessAssignEntity opFlag(int opFlag) {
         this.setOpFlag(opFlag);
         return this;
     }

     public int getProcEndFlag() {
         return procEndFlag;
     }

     public void setProcEndFlag(int procEndFlag) {
         this.procEndFlag = procEndFlag;
     }

     public ProcessAssignEntity procEndFlag(int procEndFlag) {
         this.setProcEndFlag(procEndFlag);
         return this;
     }

     public int getProcDeleteFlag() {
         return procDeleteFlag;
     }

     public void setProcDeleteFlag(int procDeleteFlag) {
         this.procDeleteFlag = procDeleteFlag;
     }

     public ProcessAssignEntity procDeleteFlag(int procDeleteFlag) {
         this.setProcDeleteFlag(procDeleteFlag);
         return this;
     }

     public String getYtOp() {
         return ytOp;
     }

     public void setYtOp(String ytOp) {
         this.ytOp = ytOp;
     }

     public ProcessAssignEntity ytOp(String ytOp) {
         this.setYtOp(ytOp);
         return this;
     }

     public String getTcOp() {
         return tcOp;
     }

     public void setTcOp(String tcOp) {
         this.tcOp = tcOp;
     }

     public ProcessAssignEntity tcOp(String tcOp) {
         this.setTcOp(tcOp);
         return this;
     }

     public String getOpIndexUrl() {
         return opIndexUrl;
     }

     public void setOpIndexUrl(String opIndexUrl) {
         this.opIndexUrl = opIndexUrl;
     }

     public ProcessAssignEntity opIndexUrl(String opIndexUrl) {
         this.setOpIndexUrl(opIndexUrl);
         return this;
     }
 }